Skip to main content
`Ctrl`+`K`

# DSView

Prints the `DS` data structure.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSView(DS ds,PetscViewer viewer)

Collective

## Input Parameters

- ds - the direct solver context

- viewer - optional visualization context

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

Use `DSViewFromOptions()` to allow the user to select many different `PetscViewerType` and formats from the options database.

## See Also

DS: Direct Solver (or Dense System), `DSCreate()`, `DSViewFromOptions()`, `DSViewMat()`

## Level

beginner

## Location

src/sys/classes/ds/interface/dsbasic.c

## Implementations

DSView_GHEP() in src/sys/classes/ds/impls/ghep/dsghep.c
DSView_GHIEP() in src/sys/classes/ds/impls/ghiep/dsghiep.c
DSView_GNHEP() in src/sys/classes/ds/impls/gnhep/dsgnhep.c
DSView_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSView_HEP() in src/sys/classes/ds/impls/hep/dshep.c
DSView_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSView_NEP() in src/sys/classes/ds/impls/nep/dsnep.c
DSView_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c
DSView_NHEPTS() in src/sys/classes/ds/impls/nhepts/dsnhepts.c
DSView_PEP() in src/sys/classes/ds/impls/pep/dspep.c
DSView_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages